﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace ChartLegendWrapPanel
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            PieSeriesDefinition pie = new PieSeriesDefinition() { ShowItemLabels = true };
            RadChart1.DefaultSeriesDefinition = pie;
            RadChart1.ItemsSource = new double[] { 10, 20, 0, 10, 3, 26, 81, 67, 54, 10, 20, 0, 10, 3, 26, 81, 67, 54, 3, 26, 81, 67, 54, };
            RadChart1.DefaultView.ChartLegend.Width = 200;
            RadChart1.DefaultView.ChartLegendPosition = Telerik.Windows.Controls.Dock.Left;
            RadChart1.HorizontalAlignment = HorizontalAlignment.Left;
            RadChart1.DefaultView.ChartLegend.ItemsPanelOrientation = Orientation.Horizontal;
            RadChart1.DefaultView.ChartLegend.Style = Application.Current.Resources["ChartLegendStyle"] as Style; 
        }
    }
}
